package com.m2pool.chat.controller;

import com.m2pool.chat.service.ChatRoomService;
import com.m2pool.chat.vo.CharRoomVo;
import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.common.core.web.page.TableDataInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "聊天室相关接口")
@RestController
@RequestMapping("/rooms")
public class ChatRoomController {

    @Autowired
    private ChatRoomService chatRoomService;


    @GetMapping("/find/room/list")
    @ApiOperation(value = "查询客服人员的聊天室列表")
    public TableDataInfo findRoomList() {
        return chatRoomService.findRoomList();
    }

    @GetMapping("/find/room/by/userid")
    @ApiOperation(value = "根据当前用户邮箱查询聊天室")
    public AjaxResult findRoomByUserid(@ApiParam(value = "当前用户聊天对象的userId", example = "1")
                                       @RequestParam(required = false) String email) {
        return chatRoomService.findRoomByUserid(email);
    }


    @PostMapping("/update/room")
    @ApiOperation(value = "修改room相关信息")
    public AjaxResult updateRoom(@RequestBody CharRoomVo charRoomVo) {
        return chatRoomService.updateRoom(charRoomVo);
    }
}