package com.m2pool.chat.service;

import com.m2pool.common.core.web.Result.AjaxResult;

public interface ChatMessageService{


    /**
     * 游标分页 查询7天前的历史记录
     * @param id 游标
     * @param pageNum 每页条数
     * @param roomId 聊天室id
     * @return
     */
    AjaxResult findHistoryMessage(Long id, Integer pageNum,Long roomId);

    /**
     * 游标分页 查询7天内数据
     * @param id 游标
     * @param pageNum 每页条数
     * @param roomId 聊天室id
     * @return
     */
    AjaxResult findRecentlyMessage(Long id,Integer pageNum,Long roomId);


    /**
     * 根据消息id 删除
     * @param id 消息id
     * @param type 消息类型 0 文本 1 图片
     * @return
     */
    AjaxResult deleteMessage(Long id,Integer type);


    /**
     * 根据聊天室修改用户未读信息
     * @param roomId
     * @return
     */
    AjaxResult readMessage(Long roomId);
}